declare namespace APJS {
  /**
   * @class AudioComponent
   * @extends DynamicComponent
   * @description Audio component. Component that plays back audio.
   * @apjs_protected_constructor
   */
  class AudioComponent extends DynamicComponent {
    protected constructor();
  
    loopCount: number;
  
    volume: number;
  
    /**
     * @readonly
     * @description Get audio duration.
     * @type: number
     */
    get duration(): number;
  
    /**
     * @description Pause audio playback.
     */
    pause(): void;
  
    /**
     * @description Start audio playback.
     */
    play(): void;
  
    /**
     * @description Resume audio playback.
     */
    resume(): void;
  
    /**
     * @description Stop audio playback.
     */
    stop(): void;
  }
}